#include <bits/stdc++.h>
using namespace std;

int t, n;
long long direktni[1000005];
map<int, bool> mapa;
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    for(int i = 1; i <= 9; i++){
        direktni[i] = i;
    }
    for(int i = 10; i <= 99; i++){
        direktni[i] = (i / 10) * (i % 10);
    }
    for(int i = 100; i <= 999; i++){
        direktni[i] = (i / 100) * ((i % 100) / 10) * (i % 10);
    }
    for(int i = 1000; i <= 9999; i++){
        direktni[i]= (i / 1000) * ((i % 1000) / 100) * ((i % 100) / 10) * (i % 10);
    }


    cin >> t;
    while(t--){
        mapa.clear();
        cin >> n;
        for(int i = 1; i <= n; i++){
            mapa[direktni[i]] = true;
        }
        cout << mapa.size() << '\n';
    }

    return 0;
}